[med-svn] [Git][med-team/libzeep][master] 2 commits: New upstream version 5.1.3

Maarten L. Hekkelman (@mhekkel-guest) gitlab at salsa.debian.org
Wed Sep 8 12:51:55 BST 2021



Maarten L. Hekkelman pushed to branch master at Debian Med / libzeep


Commits:
ae309fa5 by Maarten L. Hekkelman at 2021-09-08T13:46:38+02:00
New upstream version 5.1.3
- - - - -
c85ff71d by Maarten L. Hekkelman at 2021-09-08T13:49:03+02:00
Update upstream source from tag 'upstream/5.1.3'

Update to upstream version '5.1.3'
with Debian dir b5bdacbc3d0ff0c9cf83260f27f866a484d4716a

- - - - -


9 changed files:

- .gitignore
- CMakeLists.txt
- changelog
- debian/changelog
- − debian/patches/reproducible.patch
- debian/patches/series
- − doc/Jamfile.v2
- doc/Jamfile.v2.in
- + doc/tools/quickbook.sh.in


Changes:

=====================================
.gitignore
=====================================
@@ -9,3 +9,5 @@ Testing/Temporary
 doc/bin
 doc/html
 doc/autodoc.xml
+msvc/
+doc/Jamfile.v2


=====================================
CMakeLists.txt
=====================================
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(libzeep VERSION 5.1.2 LANGUAGES CXX C)
+project(libzeep VERSION 5.1.2 LANGUAGES CXX)
 
-enable_testing()
+list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
 include(GNUInstallDirs)
 include(CheckFunctionExists)
@@ -31,6 +31,8 @@ endif()
 option(BUILD_SHARED_LIBS "Build a shared library instead of a static one" OFF)
 set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
 
+set(CMAKE_DEBUG_POSTFIX d)
+
 if(MSVC)
     # make msvc standards compliant...
     add_compile_options(/permissive-)
@@ -50,7 +52,7 @@ if(MSVC)
 
 	# On Windows, do not install in the system location by default
 	if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
-		message(WARNING "The library and auxiliary files will be installed in $ENV{LOCALAPPDATA}/${PROJECT_NAME}")
+		message("The library and auxiliary files will be installed in $ENV{LOCALAPPDATA}/${PROJECT_NAME}")
 		set(CMAKE_INSTALL_PREFIX "$ENV{LOCALAPPDATA}/${PROJECT_NAME}" CACHE PATH "..." FORCE)
 	endif()
 
@@ -68,39 +70,32 @@ if(MSVC)
 	set(COFF_SPEC "--coff=${COFF_TYPE}")
 endif()
 
-if(UNIX AND NOT APPLE)
-	# On Linux, install in the $HOME/.local folder by default
-	if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
-		message(WARNING "The library and auxiliary files will be installed in $ENV{HOME}/.local")
-		set(CMAKE_INSTALL_PREFIX "$ENV{HOME}/.local" CACHE PATH "..." FORCE)
-	endif()
-endif()
-
 # Optionally use mrc to create resources
-find_program(MRC mrc HINTS "$ENV{LOCALAPPDATA}/mrc" "$ENV{LOCALAPPDATA}/mrc/bin" "$ENV{HOME}/.local/bin" "${CMAKE_INSTALL_PREFIX}/../mrc" "/usr/local/bin")
-
-if(MRC)
-	option(USE_RSRC "Use mrc to create resources" ON)
+if(WIN32 AND BUILD_SHARED_LIBS)
+	message("Not using resources when building shared libraries for Windows")
 else()
-	message(WARNING "Not using resources since mrc was not found")
-endif()
+	find_program(MRC mrc)
 
-if(USE_RSRC STREQUAL "ON")
-	set(USE_RSRC 1)
+	if(MRC)
+		option(USE_RSRC "Use mrc to create resources" ON)
+	else()
+		message("Using resources not possible since mrc was not found")
+	endif()
+
+	if(USE_RSRC STREQUAL "ON")
+		set(USE_RSRC 1)
 
-	message("Using resources compiled with ${MRC}")
-	add_compile_definitions(USE_RSRC)
+		message("Using resources compiled with ${MRC}")
+		add_compile_definitions(USE_RSRC)
+	endif()
 endif()
 
 set(CMAKE_THREAD_PREFER_PTHREAD)
 set(THREADS_PREFER_PTHREAD_FLAG)
 find_package(Threads REQUIRED)
 
-set (Boost_DETAILED_FAILURE_MSG ON)
+set(Boost_DETAILED_FAILURE_MSG ON)
 find_package(Boost 1.70.0 REQUIRED COMPONENTS program_options system date_time)
-# extra diagnostic -- helpful for problem with FindBoost.cmake
-message(STATUS "Boost headers in: ${Boost_INCLUDE_DIR}")
-message(STATUS "Boost libraries in: ${Boost_LIBRARY_DIRS}")
 
 find_package(ZLIB)
 find_package(BZip2)
@@ -109,84 +104,84 @@ include_directories(${Boost_INCLUDE_DIR} ${CMAKE_SOURCE_DIR}/include)
 link_libraries(${Boost_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
 
 set(ZEEP_HEADERS
-        ${CMAKE_SOURCE_DIR}/include/zeep/crypto.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/streambuf.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/value-serializer.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/config.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/xml/document.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/xml/parser.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/xml/xpath.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/xml/node.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/xml/character-classification.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/xml/serialize.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/xml/doctype.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/type-traits.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/json/to_element.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/json/element.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/json/factory.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/json/serializer.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/json/parser.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/json/type_traits.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/json/from_element.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/json/element_fwd.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/json/iterator.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/http/controller.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/http/message-parser.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/http/tag-processor.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/http/connection.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/http/server.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/http/preforked-server.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/http/daemon.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/http/error-handler.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/http/reply.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/http/template-processor.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/http/header.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/http/request.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/http/rest-controller.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/http/soap-controller.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/http/html-controller.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/http/security.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/http/uri.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/http/el-processing.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/http/login-controller.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/unicode-support.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/nvp.hpp
-        ${CMAKE_SOURCE_DIR}/include/zeep/exception.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/crypto.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/streambuf.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/value-serializer.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/config.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/xml/document.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/xml/parser.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/xml/xpath.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/xml/node.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/xml/character-classification.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/xml/serialize.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/xml/doctype.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/type-traits.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/json/to_element.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/json/element.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/json/factory.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/json/serializer.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/json/parser.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/json/type_traits.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/json/from_element.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/json/element_fwd.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/json/iterator.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/http/controller.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/http/message-parser.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/http/tag-processor.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/http/connection.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/http/server.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/http/preforked-server.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/http/daemon.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/http/error-handler.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/http/reply.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/http/template-processor.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/http/header.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/http/request.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/http/rest-controller.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/http/soap-controller.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/http/html-controller.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/http/security.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/http/uri.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/http/el-processing.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/http/login-controller.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/unicode-support.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/nvp.hpp
+	${CMAKE_SOURCE_DIR}/include/zeep/exception.hpp
 )
 
 set(ZEEP_SRC
-        ${CMAKE_SOURCE_DIR}/lib-http/src/connection.cpp
-        ${CMAKE_SOURCE_DIR}/lib-http/src/controller.cpp
-        ${CMAKE_SOURCE_DIR}/lib-http/src/controller-rsrc.cpp
-        ${CMAKE_SOURCE_DIR}/lib-http/src/crypto.cpp
-        ${CMAKE_SOURCE_DIR}/lib-http/src/daemon.cpp
-        ${CMAKE_SOURCE_DIR}/lib-http/src/el-processing.cpp
-        ${CMAKE_SOURCE_DIR}/lib-http/src/error-handler.cpp
-        ${CMAKE_SOURCE_DIR}/lib-http/src/format.cpp
-        ${CMAKE_SOURCE_DIR}/lib-http/src/glob.cpp
-        ${CMAKE_SOURCE_DIR}/lib-http/src/html-controller.cpp
-        ${CMAKE_SOURCE_DIR}/lib-http/src/login-controller.cpp
-        ${CMAKE_SOURCE_DIR}/lib-http/src/message-parser.cpp
-        ${CMAKE_SOURCE_DIR}/lib-http/src/preforked-server.cpp
-        ${CMAKE_SOURCE_DIR}/lib-http/src/reply.cpp
-        ${CMAKE_SOURCE_DIR}/lib-http/src/request.cpp
-        ${CMAKE_SOURCE_DIR}/lib-http/src/rest-controller.cpp 
-        ${CMAKE_SOURCE_DIR}/lib-http/src/security.cpp
-        ${CMAKE_SOURCE_DIR}/lib-http/src/server.cpp
-        ${CMAKE_SOURCE_DIR}/lib-http/src/uri.cpp
-        ${CMAKE_SOURCE_DIR}/lib-http/src/soap-controller.cpp
-        ${CMAKE_SOURCE_DIR}/lib-http/src/tag-processor-v2.cpp
-        ${CMAKE_SOURCE_DIR}/lib-http/src/tag-processor.cpp
-        ${CMAKE_SOURCE_DIR}/lib-http/src/template-processor.cpp
-        ${CMAKE_SOURCE_DIR}/lib-http/src/signals.cpp
-        ${CMAKE_SOURCE_DIR}/lib-json/src/element.cpp
-        ${CMAKE_SOURCE_DIR}/lib-json/src/json-parser.cpp
-        ${CMAKE_SOURCE_DIR}/lib-xml/src/character-classification.cpp
-        ${CMAKE_SOURCE_DIR}/lib-xml/src/doctype.cpp
-        ${CMAKE_SOURCE_DIR}/lib-xml/src/document.cpp
-        ${CMAKE_SOURCE_DIR}/lib-xml/src/node.cpp
-        ${CMAKE_SOURCE_DIR}/lib-xml/src/xml-parser.cpp
-        ${CMAKE_SOURCE_DIR}/lib-xml/src/xpath.cpp
+	${CMAKE_SOURCE_DIR}/lib-http/src/connection.cpp
+	${CMAKE_SOURCE_DIR}/lib-http/src/controller.cpp
+	${CMAKE_SOURCE_DIR}/lib-http/src/controller-rsrc.cpp
+	${CMAKE_SOURCE_DIR}/lib-http/src/crypto.cpp
+	${CMAKE_SOURCE_DIR}/lib-http/src/daemon.cpp
+	${CMAKE_SOURCE_DIR}/lib-http/src/el-processing.cpp
+	${CMAKE_SOURCE_DIR}/lib-http/src/error-handler.cpp
+	${CMAKE_SOURCE_DIR}/lib-http/src/format.cpp
+	${CMAKE_SOURCE_DIR}/lib-http/src/glob.cpp
+	${CMAKE_SOURCE_DIR}/lib-http/src/html-controller.cpp
+	${CMAKE_SOURCE_DIR}/lib-http/src/login-controller.cpp
+	${CMAKE_SOURCE_DIR}/lib-http/src/message-parser.cpp
+	${CMAKE_SOURCE_DIR}/lib-http/src/preforked-server.cpp
+	${CMAKE_SOURCE_DIR}/lib-http/src/reply.cpp
+	${CMAKE_SOURCE_DIR}/lib-http/src/request.cpp
+	${CMAKE_SOURCE_DIR}/lib-http/src/rest-controller.cpp
+	${CMAKE_SOURCE_DIR}/lib-http/src/security.cpp
+	${CMAKE_SOURCE_DIR}/lib-http/src/server.cpp
+	${CMAKE_SOURCE_DIR}/lib-http/src/uri.cpp
+	${CMAKE_SOURCE_DIR}/lib-http/src/soap-controller.cpp
+	${CMAKE_SOURCE_DIR}/lib-http/src/tag-processor-v2.cpp
+	${CMAKE_SOURCE_DIR}/lib-http/src/tag-processor.cpp
+	${CMAKE_SOURCE_DIR}/lib-http/src/template-processor.cpp
+	${CMAKE_SOURCE_DIR}/lib-http/src/signals.cpp
+	${CMAKE_SOURCE_DIR}/lib-json/src/element.cpp
+	${CMAKE_SOURCE_DIR}/lib-json/src/json-parser.cpp
+	${CMAKE_SOURCE_DIR}/lib-xml/src/character-classification.cpp
+	${CMAKE_SOURCE_DIR}/lib-xml/src/doctype.cpp
+	${CMAKE_SOURCE_DIR}/lib-xml/src/document.cpp
+	${CMAKE_SOURCE_DIR}/lib-xml/src/node.cpp
+	${CMAKE_SOURCE_DIR}/lib-xml/src/xml-parser.cpp
+	${CMAKE_SOURCE_DIR}/lib-xml/src/xpath.cpp
 )
 
 add_library(zeep ${ZEEP_SRC} ${ZEEP_HEADERS})
@@ -250,7 +245,7 @@ install(FILES
 set(zeep_MAJOR_VERSION 5)
 set_target_properties(zeep PROPERTIES
 	VERSION ${PROJECT_VERSION}
-	SOVERSION 5
+	SOVERSION 5.1
 	INTERFACE_zeep_MAJOR_VERSION 5)
 
 set_property(TARGET zeep APPEND PROPERTY
@@ -277,50 +272,71 @@ file(GENERATE OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/libzeep.pc
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libzeep.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
 
 # Documentation
-find_program(DOXYGEN doxygen)
-find_program(QUICKBOOK quickbook)
-find_program(XSLTPROC xsltproc)
-find_program(FOP fop)
-find_program(BJAM bjam)
-
-if(DOXYGEN AND QUICKBOOK AND XSLTPROC AND FOP AND BJAM)
-      option(ZEEP_BUILD_DOC "Build documentation" OFF)
-
-      if(ZEEP_BUILD_DOC)
-              make_directory(doc)
-              configure_file(${CMAKE_SOURCE_DIR}/doc/Jamfile.v2.in ${CMAKE_SOURCE_DIR}/doc/Jamfile.v2 @ONLY)
-              add_custom_command(OUTPUT ${CMAKE_SOURCE_DIR}/doc/html/index.html
-                      COMMAND ${BJAM} ${CMAKE_SOURCE_DIR}/doc
-                      DEPENDS ${CMAKE_SOURCE_DIR}/doc/Jamfile.v2)
-              add_custom_target(doc ALL DEPENDS ${CMAKE_SOURCE_DIR}/doc/html/index.html)
-              install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/html DESTINATION ${CMAKE_INSTALL_DOCDIR}/${PACKAGE_NAME})
-      endif()
-else()
-      message(WARNING "Cannot create documentation since the following applications could not be found:")
-
-      if(NOT DOXYGEN)
-              message(WARNING " => doxygen")
-      endif()
-      if(NOT QUICKBOOK)
-              message(WARNING " => quickbook")
-      endif()
-      if(NOT XSLTPROC)
-              message(WARNING " => xsltproc")
-      endif()
-      if(NOT FOP)
-              message(WARNING " => fop")
-      endif()
-      if(NOT BJAM)
-              message(WARNING " => bjam")
-      endif()
+option(ZEEP_BUILD_DOC "Build documentation" OFF)
+
+if(ZEEP_BUILD_DOC)
+	find_program(DOXYGEN doxygen)
+	find_program(QUICKBOOK quickbook)
+	find_program(XSLTPROC xsltproc)
+	find_program(FOP fop)
+	find_program(BJAM bjam)
+
+	if(NOT DOXYGEN)
+		list(APPEND MISSING_DOC_TOOL_LIST doxygen)
+	endif()
+	if(NOT QUICKBOOK)
+		list(APPEND MISSING_DOC_TOOL_LIST quickbook)
+	endif()
+	if(NOT XSLTPROC)
+		list(APPEND MISSING_DOC_TOOL_LIST xsltproc)
+	endif()
+	if(NOT FOP)
+		list(APPEND MISSING_DOC_TOOL_LIST fop)
+	endif()
+	if(NOT BJAM)
+		list(APPEND MISSING_DOC_TOOL_LIST bjam)
+	endif()
+
+	if(DEFINED MISSING_DOC_TOOL_LIST)
+		list(JOIN MISSING_DOC_TOOL_LIST ", " MISSING_DOC_TOOLS)
+		message(FATAL_ERROR "Cannot create documentation since the following applications could not be found: ${MISSING_DOC_TOOLS}")
+	endif()
+
+	make_directory(doc)
+
+	if(UNIX)
+		set(QUICKBOOK_SCRIPT "${CMAKE_CURRENT_BINARY_DIR}/quickbook.sh")
+
+		configure_file(${CMAKE_SOURCE_DIR}/doc/tools/quickbook.sh.in
+			${CMAKE_CURRENT_BINARY_DIR}/tmp/quickbook.sh
+			@ONLY)
+		file(COPY ${CMAKE_CURRENT_BINARY_DIR}/tmp/quickbook.sh
+			DESTINATION ${CMAKE_CURRENT_BINARY_DIR}
+			FILE_PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ)
+		file(REMOVE_RECURSE ${CMAKE_CURRENT_BINARY_DIR}/tmp/)
+	else()
+		set(QUICKBOOK_SCRIPT ${QUICKBOOK})
+	endif()
+
+	configure_file(${CMAKE_SOURCE_DIR}/doc/Jamfile.v2.in ${CMAKE_SOURCE_DIR}/doc/Jamfile.v2 @ONLY)
+	
+	add_custom_command(OUTPUT ${CMAKE_SOURCE_DIR}/doc/html/index.html
+			${CMAKE_SOURCE_DIR}/doc/html ${CMAKE_SOURCE_DIR}/doc/bin
+			${CMAKE_SOURCE_DIR}/doc/autodoc.xml
+		COMMAND ${BJAM} ${CMAKE_SOURCE_DIR}/doc
+		DEPENDS ${CMAKE_SOURCE_DIR}/doc/Jamfile.v2)
+	add_custom_target(doc ALL DEPENDS ${CMAKE_SOURCE_DIR}/doc/html/index.html)
+	install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/html DESTINATION ${CMAKE_INSTALL_DOCDIR}/${PACKAGE_NAME})
 endif()
 
 # Test applications
 
-option(ZEEP_BUILD_TESTS "Build test exectuables" OFF)
+option(ZEEP_BUILD_TESTS "Build test executables" OFF)
 
 if(ZEEP_BUILD_TESTS)
 
+	enable_testing()
+
 	# data files for the parser test
 
 	add_library(client_test OBJECT ${CMAKE_SOURCE_DIR}/lib-http/test/client-test-code.cpp)
@@ -383,10 +399,8 @@ if(ZEEP_BUILD_TESTS)
 		set(ZEEP_TEST_SOURCE "${CMAKE_CURRENT_SOURCE_DIR}/lib-${ZEEP_TEST_DIR}/test/${ZEEP_TEST}.cpp")
 		set(ZEEP_TEST_RESOURCE "")
 
-		if("${TEST}" STREQUAL "http/rsrc_webapp")
-			if(USE_RSRC)
-				set(ZEEP_TEST_RESOURCE ${CMAKE_CURRENT_BINARY_DIR}/rsrc_webapp_rsrc.obj)
-			endif()
+		if("${TEST}" STREQUAL "http/rsrc_webapp" AND USE_RSRC)
+			set(ZEEP_TEST_RESOURCE ${CMAKE_CURRENT_BINARY_DIR}/rsrc_webapp_rsrc.obj)
 		endif()
 
 		add_executable(${ZEEP_TEST} ${ZEEP_TEST_SOURCE} $<TARGET_OBJECTS:client_test> ${ZEEP_TEST_RESOURCE})


=====================================
changelog
=====================================
@@ -1,3 +1,7 @@
+Version 5.1.3
+- Update SONAME to 5.1
+- Create reproducible builds of documentation (and thus whole package)
+
 Version 5.1.2
 - Fix glob code to match empty path specifications for controllers
 - Change CMakeLists file to generate only shared or static libs,


=====================================
debian/changelog
=====================================
@@ -1,3 +1,9 @@
+libzeep (5.1.3-1) unstable; urgency=medium
+
+  * New upstream release, bringing reproducible builds and new SONAME.
+
+ -- Maarten L. Hekkelman <maarten at hekkelman.com>  Wed, 08 Sep 2021 13:47:00 +0200
+
 libzeep (5.1.2-1) unstable; urgency=medium
 
   * New upstream release (Closes: #984216)


=====================================
debian/patches/reproducible.patch deleted
=====================================
@@ -1,172 +0,0 @@
-Description: Create reproducible documentation, set the correct SONAME
-Author: Maarten L. Hekkelman <maarten at hekkelman.com>
-Forwarded: yes
-
---- a/CMakeLists.txt
-+++ b/CMakeLists.txt
-@@ -1,8 +1,8 @@
- cmake_minimum_required(VERSION 3.16)
- 
--project(libzeep VERSION 5.1.2 LANGUAGES CXX C)
-+project(libzeep VERSION 5.1.2 LANGUAGES CXX)
- 
--enable_testing()
-+list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
- 
- include(GNUInstallDirs)
- include(CheckFunctionExists)
-@@ -250,7 +256,7 @@
- set(zeep_MAJOR_VERSION 5)
- set_target_properties(zeep PROPERTIES
- 	VERSION ${PROJECT_VERSION}
--	SOVERSION 5
-+	SOVERSION 5.1
- 	INTERFACE_zeep_MAJOR_VERSION 5)
- 
- set_property(TARGET zeep APPEND PROPERTY
-@@ -277,50 +283,60 @@
- install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libzeep.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
- 
- # Documentation
--find_program(DOXYGEN doxygen)
--find_program(QUICKBOOK quickbook)
--find_program(XSLTPROC xsltproc)
--find_program(FOP fop)
--find_program(BJAM bjam)
--
--if(DOXYGEN AND QUICKBOOK AND XSLTPROC AND FOP AND BJAM)
--      option(ZEEP_BUILD_DOC "Build documentation" OFF)
--
--      if(ZEEP_BUILD_DOC)
--              make_directory(doc)
--              configure_file(${CMAKE_SOURCE_DIR}/doc/Jamfile.v2.in ${CMAKE_SOURCE_DIR}/doc/Jamfile.v2 @ONLY)
--              add_custom_command(OUTPUT ${CMAKE_SOURCE_DIR}/doc/html/index.html
--                      COMMAND ${BJAM} ${CMAKE_SOURCE_DIR}/doc
--                      DEPENDS ${CMAKE_SOURCE_DIR}/doc/Jamfile.v2)
--              add_custom_target(doc ALL DEPENDS ${CMAKE_SOURCE_DIR}/doc/html/index.html)
--              install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/html DESTINATION ${CMAKE_INSTALL_DOCDIR}/${PACKAGE_NAME})
--      endif()
--else()
--      message(WARNING "Cannot create documentation since the following applications could not be found:")
-+option(ZEEP_BUILD_DOC "Build documentation" OFF)
- 
--      if(NOT DOXYGEN)
--              message(WARNING " => doxygen")
--      endif()
--      if(NOT QUICKBOOK)
--              message(WARNING " => quickbook")
--      endif()
--      if(NOT XSLTPROC)
--              message(WARNING " => xsltproc")
--      endif()
--      if(NOT FOP)
--              message(WARNING " => fop")
--      endif()
--      if(NOT BJAM)
--              message(WARNING " => bjam")
--      endif()
-+if(ZEEP_BUILD_DOC)
-+	find_program(DOXYGEN doxygen)
-+	find_program(QUICKBOOK quickbook)
-+	find_program(XSLTPROC xsltproc)
-+	find_program(FOP fop)
-+	find_program(BJAM bjam)
-+
-+	if(NOT DOXYGEN)
-+		list(APPEND MISSING_DOC_TOOL_LIST doxygen)
-+	endif()
-+	if(NOT QUICKBOOK)
-+		list(APPEND MISSING_DOC_TOOL_LIST quickbook)
-+	endif()
-+	if(NOT XSLTPROC)
-+		list(APPEND MISSING_DOC_TOOL_LIST xsltproc)
-+	endif()
-+	if(NOT FOP)
-+		list(APPEND MISSING_DOC_TOOL_LIST fop)
-+	endif()
-+	if(NOT BJAM)
-+		list(APPEND MISSING_DOC_TOOL_LIST bjam)
-+	endif()
-+
-+	if(DEFINED MISSING_DOC_TOOL_LIST)
-+		list(JOIN MISSING_DOC_TOOL_LIST ", " MISSING_DOC_TOOLS)
-+		message(FATAL_ERROR "Cannot create documentation since the following applications could not be found: ${MISSING_DOC_TOOLS}")
-+	endif()
-+
-+	make_directory(doc)
-+	configure_file(${CMAKE_SOURCE_DIR}/doc/Jamfile.v2.in ${CMAKE_SOURCE_DIR}/doc/Jamfile.v2 @ONLY)
-+	configure_file(${CMAKE_SOURCE_DIR}/doc/tools/quickbook.sh.in
-+		${CMAKE_CURRENT_BINARY_DIR}/tmp/quickbook.sh
-+		@ONLY)
-+	file(COPY ${CMAKE_CURRENT_BINARY_DIR}/tmp/quickbook.sh
-+		DESTINATION ${CMAKE_CURRENT_BINARY_DIR}
-+		FILE_PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ)
-+	file(REMOVE_RECURSE ${CMAKE_CURRENT_BINARY_DIR}/tmp/)
-+	add_custom_command(OUTPUT ${CMAKE_SOURCE_DIR}/doc/html/index.html
-+			COMMAND ${BJAM} ${CMAKE_SOURCE_DIR}/doc
-+			DEPENDS ${CMAKE_SOURCE_DIR}/doc/Jamfile.v2)
-+	add_custom_target(doc ALL DEPENDS ${CMAKE_SOURCE_DIR}/doc/html/index.html)
-+	install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/html DESTINATION ${CMAKE_INSTALL_DOCDIR}/${PACKAGE_NAME})
- endif()
- 
- # Test applications
- 
--option(ZEEP_BUILD_TESTS "Build test exectuables" OFF)
-+option(ZEEP_BUILD_TESTS "Build test executables" OFF)
- 
- if(ZEEP_BUILD_TESTS)
- 
-+	enable_testing()
-+
- 	# data files for the parser test
- 
- 	add_library(client_test OBJECT ${CMAKE_SOURCE_DIR}/lib-http/test/client-test-code.cpp)
---- a/doc/Jamfile.v2.in
-+++ b/doc/Jamfile.v2.in
-@@ -10,7 +10,7 @@
- 
- using fop : @FOP@ ;
- 
--using quickbook : @QUICKBOOK@ ;
-+using quickbook : @CMAKE_CURRENT_BINARY_DIR@/quickbook.sh ;
- 
- doxygen autodoc
-     :
---- /dev/null
-+++ b/doc/tools/quickbook.sh.in
-@@ -0,0 +1,35 @@
-+#!/bin/bash
-+
-+set -e
-+
-+# Run the original quickbook first
-+ at QUICKBOOK@ $@
-+
-+# And if it fails, exit
-+if [[ $? -ne 0 ]] ; then
-+	exit $?
-+fi
-+
-+# Now try to find out what was written
-+for i in "$@"; do
-+  key="$i"
-+  case $key in
-+	--output-file=*)
-+      OUTPUTFILE="${i#*=}"
-+      shift # past argument=value
-+	  ;;
-+    --output-file)
-+      OUTPUTFILE="$2"
-+      shift # past argument
-+      shift # past value
-+      ;;
-+    *)    # unknown option
-+      shift # past argument
-+      ;;
-+  esac
-+done
-+
-+if [[ "x$OUTPUTFILE" != "x" && "x$SOURCE_DATE_EPOCH" != "x" ]] ; then
-+	BUILD_DATE="$(date --utc --date="@${SOURCE_DATE_EPOCH:-$(date +%s)}" +'%Y-%m-%d %H:%M:%S')"
-+	sed -i -e "s/\$Date:.\\+\\$/$BUILD_DATE/g" $OUTPUTFILE
-+fi


=====================================
debian/patches/series
=====================================
@@ -1 +0,0 @@
-reproducible.patch


=====================================
doc/Jamfile.v2 deleted
=====================================
@@ -1,68 +0,0 @@
-using boostbook
-  : /usr/share/xml/docbook/stylesheet/docbook-xsl/
-  : /usr/share/xml/docbook/schema/dtd/4.2/
-  : /usr/share/boostbook
-  ;
-
-using xsltproc : /usr/bin/xsltproc ;
-
-using doxygen : /usr/local/bin/doxygen ;
-
-using fop : /usr/bin/fop ;
-
-using quickbook : /usr/local/bin/quickbook ;
-
-doxygen autodoc
-    :
-        [ glob /home/maarten/projects/libzeep/include/zeep/*.hpp ]
-        [ glob /home/maarten/projects/libzeep/include/zeep/xml/*.hpp ]
-        [ glob /home/maarten/projects/libzeep/include/zeep/json/*.hpp ]
-        [ glob /home/maarten/projects/libzeep/include/zeep/http/*.hpp ]
-        [ glob /home/maarten/projects/libzeep/include/zeep/rest/*.hpp ]
-        [ glob /home/maarten/projects/libzeep/include/zeep/soap/*.hpp ]
-    :
-		<doxygen:param>"PREDEFINED=\"HTTP_SERVER_HAS_PREFORK\""
-        <doxygen:param>HIDE_UNDOC_MEMBERS=YES
-        <doxygen:param>EXTRACT_PRIVATE=NO
-        <doxygen:param>ENABLE_PREPROCESSING=YES
-        <doxygen:param>MACRO_EXPANSION=YES
-        <doxygen:param>EXPAND_ONLY_PREDEF=YES
-        <doxygen:param>SEARCH_INCLUDES=YES
-        <doxygen:param>INCLUDE_PATH=$(BOOST_ROOT)
-		<doxygen:param>FULL_PATH_NAMES=YES
-		<doxygen:param>STRIP_FROM_PATH=/home/maarten/projects/libzeep/include
-		<doxygen:params>SORT_MEMBER_DOCS=NO
-    ;
-
-xml libzeep-doc : /home/maarten/projects/libzeep/doc/libzeep-doc.qbk ;
-
-boostbook standalone
-    :
-        libzeep-doc autodoc
-    :
-        <xsl:param>boost.image.src=images/logo.png
-        <xsl:param>boost.image.alt="\"libzeep\""
-        <xsl:param>boost.image.w=100
-        <xsl:param>boost.image.h=50
-        <xsl:param>nav.layout=none
-        <dependency>css
-        <dependency>images
-        <xsl:param>boost.root="https://www.hekkelman.com/libzeep-doc/include/"
-        <xsl:param>html.stylesheet=css/zeep.css
-        <xsl:param>img.src.path=images/
-        <xsl:param>boost.graphics.root=images/
-        <xsl:param>boost.mobile=1
-    ;
-
-
-install css : [ glob /home/maarten/projects/libzeep/doc/css/*.css ]
-    : <location>html/css ;
-
-install images
-	: [ glob /home/maarten/projects/libzeep/doc/images/*.png ]
-	  [ glob /home/maarten/projects/libzeep/doc/images/callouts/*.png ]
-    : <location>html/images ;
-
-explicit css ;
-
-explicit images ;


=====================================
doc/Jamfile.v2.in
=====================================
@@ -10,7 +10,7 @@ using doxygen : @DOXYGEN@ ;
 
 using fop : @FOP@ ;
 
-using quickbook : @QUICKBOOK@ ;
+using quickbook : @QUICKBOOK_SCRIPT@ ;
 
 doxygen autodoc
     :


=====================================
doc/tools/quickbook.sh.in
=====================================
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+set -e
+
+# Run the original quickbook first
+ at QUICKBOOK@ $@
+
+# And if it fails, exit
+if [[ $? -ne 0 ]] ; then
+	exit $?
+fi
+
+# Now try to find out what was written
+for i in "$@"; do
+  key="$i"
+  case $key in
+	--output-file=*)
+      OUTPUTFILE="${i#*=}"
+      shift # past argument=value
+	  ;;
+    --output-file)
+      OUTPUTFILE="$2"
+      shift # past argument
+      shift # past value
+      ;;
+    *)    # unknown option
+      shift # past argument
+      ;;
+  esac
+done
+
+if [[ "x$OUTPUTFILE" != "x" && "x$SOURCE_DATE_EPOCH" != "x" ]] ; then
+	BUILD_DATE="$(date --utc --date="@${SOURCE_DATE_EPOCH:-$(date +%s)}" +'%Y-%m-%d %H:%M:%S')"
+	sed -i -e "s/\$Date:.\\+\\$/$BUILD_DATE/g" $OUTPUTFILE
+fi



View it on GitLab: https://salsa.debian.org/med-team/libzeep/-/compare/1ebc2a1b8b11256daaf85c17fa70033f21a2342b...c85ff71d5ee16019eff1a1244c3191ed4109aa12

-- 
View it on GitLab: https://salsa.debian.org/med-team/libzeep/-/compare/1ebc2a1b8b11256daaf85c17fa70033f21a2342b...c85ff71d5ee16019eff1a1244c3191ed4109aa12
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20210908/421b9024/attachment-0001.htm>


More information about the debian-med-commit mailing list